Skip to content

Get picking batches

GET
/merchants/{merchantCode}/pickingBatches
curl --request GET \
--url 'https://order.shopgate.io/v1/merchants/example/pickingBatches?limit=100&offset=0'

Get picking batches

merchantCode
required
string

Unique merchant code which represents the unique “merchant account”.

limit
integer format: int32
default: 100 <= 100

Items per page, for pagination, default is 10, max is 100

offset
integer format: int32
0

Offset for pagination, default is 0

filters
string format: json

Filters the result by given filter. Available fields are:

  • status
  • locationCode
Media typeapplication/json
object
pickingBatches
Array<object>
object
id
string
status
string
Allowed values: open inProgress picked packing packed canceled
startedDate
string
locationCode
string
pickedDate
string
completedDate
string
fulfillmentOrders
Array<object>
object
orderNumber
string
meta
object
limit
number
offset
number
totalItemCount
number
Example
{
"pickingBatches": [
{
"id": "a4a93e83-5781-40da-8bff-b87af0452afe",
"status": "open",
"startedDate": "2021-09-20T08:13:54.866Z",
"locationCode": "warehouse",
"pickedDate": "2021-09-20T09:00:11.866Z",
"completedDate": "2021-09-20T10:32:42.866Z",
"fulfillmentOrders": [
{
"orderNumber": "10001-0001"
}
]
}
],
"meta": {
"limit": 20,
"offset": 0,
"totalItemCount": 40
}
}

Merchant not found

Media typeapplication/json